<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2005 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Created for php-fusion
| by Peter Bruggink
| p.bruggink@zonnet.nl
| navigation_multi_panel v2.0
| angepasst an phpfusion V7 von Piffpoff01
| piffpoff@dominik-stellmacher.de
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------*/
// If register_globals is turned off, extract super globals (php 4.2.0+)
if (ini_get('register_globals') != 1) {
	if ((isset($_POST) == true) && (is_array($_POST) == true)) extract($_POST, EXTR_OVERWRITE);
	if ((isset($_GET) == true) && (is_array($_GET) == true)) extract($_GET, EXTR_OVERWRITE);
}
//$panel_description='';
// $panel_name='';
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."navigation_multi_panel/infusion_db.php";
error_reporting(E_ALL ^ E_NOTICE);
if (!checkrights("IP")) fallback("../index.php");

if (file_exists(INFUSIONS."navigation_multi_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."navigation_multi_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."navigation_multi_panel/locale/English.php";
}

if (isset($panel_id) && !isNum($panel_id)) fallback(FUSION_SELF);
if (isset($item_id) && !isNum($item_id)) fallback(FUSION_SELF);
if (!isset($action)) $action = "";
if (!isset($view)) $view = "";


if ($action == "delete" && $view == "panel") {
	if (isset($panel_id)) {
		$result = dbquery("DELETE FROM ".DB_MULTI_PANEL_ITEMS." WHERE parentid='$panel_id'");
		$result = dbquery("DELETE FROM ".DB_MULTI_PANEL_NAMES." WHERE id='$panel_id'");
	}
}

if ($action == "delete" && $view == "item") {
	if (isset($item_id)) {
		$data = dbarray(dbquery("SELECT * FROM ".DB_MULTI_PANEL_ITEMS." WHERE id='$item_id'"));
		$result = dbquery("UPDATE ".DB_MULTI_PANEL_ITEMS." SET item_order=item_order-1 WHERE parentid='".$data['parentid']."' AND item_order>'".$data['item_order']."'");
		$result = dbquery("DELETE FROM ".DB_MULTI_PANEL_ITEMS." WHERE id='$item_id'");
	}
	redirect(FUSION_SELF."?view=item&panel_id=".$panel_id);
}
	
if (isset($_POST['save_panel'])) {
	$panel_name = stripinput($_POST['panel_name']);
	$panel_description = stripinput($_POST['panel_description']);
	if ($action == "edit" && $view == "panel") {
		$result = dbquery("UPDATE ".DB_MULTI_PANEL_NAMES." SET panel_name='$panel_name', panel_description='$panel_description' WHERE id='$panel_id'");
	} else {
		if ($panel_name != "") {
			$result = dbquery("INSERT INTO ".DB_MULTI_PANEL_NAMES." (panel_name, panel_description) VALUES('$panel_name', '$panel_description')");
		}
	}
	redirect(FUSION_SELF);
}

if (isset($_POST['saveitem'])) {
	$item_name = stripinput($_POST['item_name']);
	$item_url = stripinput($_POST['item_url']);
	$item_position = $_POST['item_position'];
	$item_window = $_POST['item_window'];
	if ($action == "edit") {
		$data = dbarray(dbquery("SELECT item_order FROM ".DB_MULTI_PANEL_ITEMS." WHERE id='$item_id'"));
		if($item_order < $data['item_order']){
			$result = dbquery("UPDATE ".DB_MULTI_PANEL_ITEMS." SET item_order=item_order+1 WHERE parentid='".$panel_id."' AND (item_order>='$item_order' AND item_order<'".$data['item_order']."')");
		} else if ($item_order > $data['item_order']){
			$result = dbquery("UPDATE ".DB_MULTI_PANEL_ITEMS." SET item_order=item_order-1 WHERE parentid='".$panel_id."' AND (item_order>'".$data['item_order']."' AND item_order<='$item_order')");
		}				
		$result = dbquery("UPDATE ".DB_MULTI_PANEL_ITEMS." SET item_name='$item_name', item_url='$item_url', item_visibility='$item_visibility', item_window='$item_window', item_order='$item_order' WHERE id='$item_id'");
		redirect(FUSION_SELF."?view=item&panel_id=".$panel_id);
	} else {
		if(!$item_order) $item_order=dbresult(dbquery("SELECT MAX(item_order) FROM ".DB_MULTI_PANEL_ITEMS." WHERE parentid='".$panel_id."'"),0)+1;
		$result = dbquery("UPDATE ".DB_MULTI_PANEL_ITEMS." SET item_order=item_order+1 WHERE parentid='".$panel_id."' AND item_order>='$item_order'");	
		$result = dbquery("INSERT INTO ".DB_MULTI_PANEL_ITEMS." VALUES('', '$panel_id', '$item_name', '$item_url', '$item_visibility', '$item_window', '$item_order')");
		redirect(FUSION_SELF."?view=item&panel_id=".$panel_id);
	}
}


opentable($locale['MPN300']);
$result = dbquery(
	"SELECT id,panel_name,panel_description FROM ".DB_MULTI_PANEL_NAMES."
	ORDER BY id"
);
if (dbrows($result)) {
	$i = 0;
	echo "<table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>
<tr>
<td align='center' width='100' class='tbl2'>".$locale['MPN301']."</td>
<td class='tbl2'>".$locale['MPN302']."</td>
<td align='center' width='450' colspan='3' class='tbl2'>".$locale['MPN303']."<a href='".FUSION_SELF."?action=add&view=panel'> [".$locale['MPN308']."]</a></td>
</tr>\n";
	while ($data = dbarray($result)) {
		$i % 2 == 0 ? $tclass="tbl1" : $tclass="tbl2";
		echo "<tr>
<td align='center' class='$tclass'><a href='".FUSION_SELF."?view=item&panel_id=".$data['id']."'>".$data['panel_name']."</a></td>
<td class='$tclass'>".$data['panel_description']."</a>
</td>
<td align='center' width='150' class='$tclass'><a href='".FUSION_SELF."?action=edit&view=panel&panel_id=".$data['id']."'>[".$locale['MPN304']."]</a></td>
<td align='center' width='150' class='$tclass'><a href='".FUSION_SELF."?action=delete&view=panel&panel_id=".$data['id']."'>[".$locale['MPN305']."]</a></td>
<td align='center' width='150' class='$tclass'><a href='".FUSION_SELF."?view=item&panel_id=".$data['id']."'>[".$locale['MPN306']."]</a></td>
</tr>\n";
	}
	echo "</table>\n";
} else {
	echo "<center><br>\n".$locale['MPN307']."<br><br>\n</center>\n";
	$view = "panel";
}
closetable();
tablebreak();
if ($view == "panel") {
	$viewname = $locale['MPN400'];
	$MPN_action = FUSION_SELF;
	if ($action == "edit") {
	    if (!isset($panel_id)) redirect($MPN_action);
		$MPN_action = FUSION_SELF."?action=edit&view=panel&panel_id=".$panel_id;
		$viewname = $locale['MPN404'];
		$result = dbquery("SELECT panel_name,panel_description FROM ".DB_MULTI_PANEL_NAMES."
		WHERE id='$panel_id'");
		$panel_data = dbarray($result);
		$panel_name = $panel_data['panel_name'];
		$panel_description = $panel_data['panel_description'];
	} 
	opentable($viewname);
	echo "<form name='add_panel' method='post' action='$MPN_action'>
	<table align='center' cellpadding='0' cellspacing='0'>
	<tr>
	<td class='tbl'>".$locale['MPN401'].":</td>
	<td class='tbl'><input type='text' name='panel_name' value='$panel_name' class='textbox' style='width:210px'></td>
	</tr>
	<tr>
	<td width='130' class='tbl'>".$locale['MPN402'].":</td>
	<td class='tbl'><input type='text' name='panel_description' value='$panel_description' class='textbox' style='width:250px;'></td>
	</tr>
	<tr>
	<td align='center' colspan='2' class='tbl'><input type='submit' name='save_panel' value='".$locale['MPN403']."' class='button'></td>
	</tr>
	</table>
	</form>\n";	
	closetable();
}

if ($view == "item") {
	opentable($locale['MPN502']);
	echo "<table align='center' cellspacing='0' cellpadding='0' class='tbl'>
	<tr>
	<td class='tbl2'>".$locale['MPN503']."</td>
	<td align='center' class='tbl2'>".$locale['MPN504']."</td>
	<td align='center' class='tbl2'>".$locale['MPN505']."</td>
	<td align='right' class='tbl2'>".$locale['MPN506']."</td>
	</tr>\n";
	$result = dbquery("SELECT * FROM ".DB_MULTI_PANEL_ITEMS." WHERE parentid='".$panel_id."' ORDER BY item_order");
	if (dbrows($result) != 0) {
		while($data = dbarray($result)) {
			echo "<tr>\n<td>";
			if ($data['item_name'] != "---" && $data['item_url'] == "---") {
				echo "<strong>".$data['item_name']."</strong>\n";
			} else if ($data['item_name'] == "---" && $data['item_url'] == "---") {
				echo "<hr>\n";
			} else {
				if (strstr($data['item_url'], "http://") || strstr($data['item_url'], "https://")) {
					echo "<img src='".THEME."images/bullet.gif'> <a href='".$data['item_url']."'>".$data['item_name']."</a>\n";
				} else {
					echo "<img src='".THEME."images/bullet.gif'> <a href='".BASEDIR.$data['item_url']."'>".$data['item_name']."</a>\n";
				}
			}
			echo "</td>
			<td align='center'>".getgroupname($data['item_visibility'])."</td>
			<td align='center'>".$data['item_order']."</td>
			<td align='right'><a href='".FUSION_SELF."?action=edit&view=item&item_id=".$data['id']."&panel_id=".$panel_id."'>".$locale['MPN507']."</a> -
			<a href='".FUSION_SELF."?action=delete&view=item&item_id=".$data['id']."&panel_id=".$panel_id."'>".$locale['MPN508']."</a></td>
			</tr>\n";
		}
	} else {
		echo "<tr colspan='4'>\n<td align='center'>".$locale['MPN509']."</td>\n</tr>\n";
	}
	echo "</table>\n";
	closetable();
	tablebreak();

	if ($action == "edit") {
		$result = dbquery("SELECT * FROM ".DB_MULTI_PANEL_ITEMS." WHERE id='$item_id'");
		$data = dbarray($result);
		$item_name = $data['item_name'];
		$item_url = $data['item_url'];
		$item_visibility = $data['item_visibility'];
		$item_order = $data['item_order'];
		$window_check = ($data['item_window']=="1" ? " checked" : "");
		$formaction = FUSION_SELF."?action=edit&view=item&item_id=".$data['id']."&panel_id=".$data['parentid'];
		opentable($locale['MPN501']);
	} else {
		$item_name = "";
		$item_url = "";
		$item_visibility = "";
		$item_order = "";
		$window_check = "";
		$formaction = FUSION_SELF."?action=add&view=item&panel_id=".$panel_id;
		opentable($locale['MPN500']);
	}
	$visibility_opts = ""; $sel = "";
	$user_groups = getusergroups();
	while(list($key, $user_group) = each($user_groups)){
		$sel = ($item_visibility == $user_group['0'] ? " selected" : "");
		$visibility_opts .= "<option value='".$user_group['0']."'$sel>".$user_group['1']."</option>\n";
	}
	echo "<form name='itemform' method='post' action='$formaction'>
	<table align='center' cellspacing='0' cellpadding='0'>
	<tr>
	<td class='tbl'>".$locale['MPN600']."</td>
	<td class='tbl'><input type='text' name='item_name' value='$item_name' maxlength='100' class='textbox' style='width:240px;'></td>
	</tr>
	<tr>
	<td class='tbl'>".$locale['MPN601']."</td>
	<td class='tbl'><input type='text' name='item_url' value='$item_url' maxlength='200' class='textbox' style='width:240px;'></td>
	</tr>
	<tr>
	<td class='tbl'>".$locale['MPN602']."</td>
	<td class='tbl'><select name='item_visibility' class='textbox'>
	$visibility_opts</select>
	".$locale['MPN603']."
	<input type='text' name='item_order'  value='$item_order' maxlength='2' class='textbox' style='width:40px;'></td>
	</tr>
	<tr>
	<td valign='top' class='tbl'></td>
	<td class='tbl'>
	<input type='checkbox' name='item_window' value='1'$window_check> ".$locale['MPN605']."</td>
	</tr>
	<tr>
	<td align='center' colspan='2' class='tbl'>
	<input type='submit' name='saveitem' value='".$locale['MPN606']."' class='button'></td>
	</tr>
	</table>
	</form>\n";
	closetable();
}

require_once THEMES."templates/footer.php";
?>